%define aurox_ver 9.3
%define rel 1

%define desktop_vendor aurox


# Packmangroup: Games/Amusements
# Packmanpackagename: pingus
# Packman: Herbert Graeber
# Packmandesc: A Lemmings Clone
# Packmandesc_de: Ein Lemmings-Clone

# usedforbuild aaa_base acl attr bash bind9-utils bison coreutils cpio cpp cvs cyrus-sasl2 db devs diffutils e2fsprogs file filesystem fillup findutils flex gawk gdbm-devel glibc glibc-devel glibc-locale gpm grep groff gzip info insserv kbd less libacl libattr libgcc libstdc++ libxcrypt m4 make man mktemp modutils ncurses ncurses-devel net-tools netcfg pam pam-devel pam-modules patch permissions ps rcs readline sed sendmail shadow strace syslogd sysvinit tar texinfo timezone unzip util-linux vim zlib zlib-devel XFree86-devel XFree86-libs arts arts-devel autoconf automake binutils bzip2 cracklib expat fam fam-devel freetype2 freetype2-devel gcc gcc-c++ gdbm gettext libjpeg libmng libmng-devel libpng libpng-devel libstdc++-devel libtiff libtool libxml2 libxml2-devel libxslt libxslt-devel perl rpm aalib aalib-devel alsa alsa-devel arts arts-devel audiofile clanlib clanlib-devel DirectFB esound esound-devel gpm hermes hermes-devel libogg libogg-devel libvorbis libvorbis-devel libmikmod mesa mesa-devel mesaglu mesaglu-devel slang slang-devel zlib zlib-devel SDL SDL-devel

Name:         pingus
License:      GPL
Group:        Amusements/Games
Requires:     clanlib >= 0.6.5 hermes >= 1.3.2 libogg libvorbis libxml2
URL:          http://pingus.seul.org
Version:      0.6.0
Release: %{aurox_ver}.aur.%{rel}
Packager:     Herbert Graeber <herbert@links2linux.de>
Vendor:       Packman
Summary:      A Lemmings Clone
Summary(de):  Ein Lemmings-Clone
Source:       pingus-%{version}.tar.bz2
Source1:      pingus.png
Patch:        pingus-assert.dif
#Patch1:	      pingus-0.6.0-configure.patch
BuildRoot:    %{_tmppath}/%{name}-%{version}-build
BuildRequires: clanlib-devel >= 0.6.5 hermes-devel >= 1.3.2 libogg-devel libvorbis-devel libxml2-devel

%description
A lemming clone. The game is not completely finished and there
are not much playable levels, but the basic game engine is ready.
So the game in its current state should be enough for some hours
of fun. Who likes it can build some additional Levels and offer
them to the project.

%description -l de
Ein Lemmings-Clone. Diese Spiel ist nicht endgltig fertig und
hat noch nicht viele spielbare Level, aber die Game-Engine ist
fertig. Es biete immerhin einige Stunden Spass. Wer Spass daran
hat kann eingene Level entwerfen und dem Projekt beisteuern.

%prep
%setup -q
%patch -p1
#%patch1 -p0

%build
./autogen.sh
CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure \
    --prefix=/usr --infodir=%{_infodir} --mandir=%{_mandir}
#    --with-extra-includes=/usr/include/ClanLib-0.7
make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT/usr \
     infodir=$RPM_BUILD_ROOT%{_infodir} \
     mandir=$RPM_BUILD_ROOT%{_mandir} install

mkdir -p $RPM_BUILD_ROOT%{_bindir}
mv $RPM_BUILD_ROOT/usr/games/pingus $RPM_BUILD_ROOT%{_bindir}/%{name}

mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps
cp %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/pixmaps/%{name}.png

cat > %{name}.desktop <<EOF
[Desktop Entry]
Name=Pingus
Comment=Save the penguins
Comment[pl]=Ocal pingwiny
Icon=%{name}.png
Exec=%{_bindir}/%{name}
Terminal=false
Type=Application
Encoding=UTF-8
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category X-Aurox-Extra                              \
  --add-category Application                                \
  --add-category Game                                       \
  --add-category ArcadeGame                                 \
  %{name}.desktop

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc AUTHORS COPYING ChangeLog INSTALL INSTALL.unix NEWS README TODO
%doc %{_mandir}/man6/pingus.6.gz
%{_bindir}/%{name}
/usr/share/games/pingus
%{_datadir}/applications/%{desktop_vendor}-%{name}.desktop
%{_datadir}/pixmaps/%{name}.png

%changelog
* Fri Jan 09 2004 Aurox Team <aurox@aurox.org> 0:0.6.0-9.3.aur.1
- add BuildRequires for packages from Requires
- set file owner to root
- fix binary path
- add menu entry and an icon
- put binary in /usr/bin, not /usr/games
- fix required package list
- Initial build for Aurox 9.2

* Thu Oct 2 2003 - herbert@links2linux.de
- converted to build

* Tue May 27 2003 - herbert@links2linux.de
- corrected of depenencies
- corrected the url
